Framer.Defaults.Animation = time: 0.2

layerA = new Layer
	size: 250
	borderRadius: 9
	point: Align.center
	backgroundColor: "#28AFFA"
initialFrame = layerA.frame


setInitialPosition = ->
	layerA.animate
		x: initialFrame.x
		y: initialFrame.y
		rotationY: 0
		rotationX: 0
		options:
			time: 0.5


layerA.onSwipeLeftStart ->
	layerA.animate
		rotationY: 20

layerA.onSwipeRightStart ->
	layerA.animate
		rotationY: -20

layerA.onSwipeDownStart ->
	layerA.animate
		rotationX: 20

layerA.onSwipeUpStart ->
	layerA.animate
		rotationX: -20

layerA.onSwipe ->
	this.x = this.x + event.delta.x
	this.y = this.y + event.delta.y

layerA.onSwipeEnd ->
	if event.velocity.x > 4
		layerA.animate
			x: Screen.width + 100
		Utils.delay 0.2, ->
			layerA.maxX = -100
			setInitialPosition()
	else if event.velocity.x < -4
		layerA.animate
			maxX: - 100
		Utils.delay 0.2, ->
			layerA.x = Screen.width + 100
			setInitialPosition()
	else if event.velocity.y > 4
		layerA.animate
			y: Screen.height + 100
		Utils.delay 0.2, ->
			layerA.maxY = -100
			setInitialPosition()
	else if event.velocity.y < -4
		layerA.animate
			maxY: - 100
		Utils.delay 0.2, ->
			layerA.y = Screen.height + 100
			setInitialPosition()
	else
		setInitialPosition()
